Package org.drinkless.tdlib

# Class TdApi.MessageEffect

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageEffect

Enclosing class:
  `TdApi`

public static class TdApi.MessageEffect extends TdApi.Object
Contains information about an effect added to a message.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `emoji`
  Emoji corresponding to the effect that can be used if static icon isn't available.
  `long`
  `id`
  Unique identifier of the effect.
  `boolean`
  `isPremium`
  True, if Telegram Premium subscription is required to use the effect.
  `TdApi.Sticker`
  `staticIcon`
  Static icon for the effect in WEBP format; may be null if none.
  `TdApi.MessageEffectType`
  `type`
  Type of the effect.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageEffect()`
  Contains information about an effect added to a message.
  `MessageEffect(long id, TdApi.Sticker staticIcon, String emoji, boolean isPremium, TdApi.MessageEffectType type)`
  Contains information about an effect added to a message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public long id
    Unique identifier of the effect.

  - ### staticIcon

    @Nullable public TdApi.Sticker staticIcon
    Static icon for the effect in WEBP format; may be null if none.

  - ### emoji

    public String emoji
    Emoji corresponding to the effect that can be used if static icon isn't available.

  - ### isPremium

    public boolean isPremium
    True, if Telegram Premium subscription is required to use the effect.

  - ### type

    public TdApi.MessageEffectType type
    Type of the effect.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageEffect

    public MessageEffect()
    Contains information about an effect added to a message.

  - ### MessageEffect

    public MessageEffect(long id, TdApi.Sticker staticIcon, String emoji, boolean isPremium, TdApi.MessageEffectType type)
    Contains information about an effect added to a message.
    Parameters:
      `id` - Unique identifier of the effect.
      `staticIcon` - Static icon for the effect in WEBP format; may be null if none.
      `emoji` - Emoji corresponding to the effect that can be used if static icon isn't available.
      `isPremium` - True, if Telegram Premium subscription is required to use the effect.
      `type` - Type of the effect.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR